Page MenuHomePhabricator

Reduce code duplication between patchpoint and non-patchpoint lowering. NFC.
ClosedPublic

Authored by kmod on Oct 7 2014, 5:51 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

kmod updated this revision to Diff 14542.Oct 7 2014, 5:51 PM
kmod retitled this revision from to Reduce code duplication between patchpoint and non-patchpoint lowering. NFC..
kmod updated this object.
kmod edited the test plan for this revision. (Show Details)
kmod added reviewers: ributzka, atrick.
kmod added a subscriber: Unknown Object (MLST).
ributzka accepted this revision.Oct 15 2014, 10:35 AM
ributzka edited edge metadata.

LGTM

lib/CodeGen/SelectionDAG/SelectionDAGBuilder.cpp
7047 ↗(On Diff #14542)

Comment is now out-of-date.

lib/CodeGen/SelectionDAG/SelectionDAGBuilder.h
24 ↗(On Diff #14542)

No need to include the header. A forward declaration of the class should be enough.

648–650 ↗(On Diff #14542)

I know the coding standard in this file is a little messy, but new functions should be added in camelCase.

This revision is now accepted and ready to land.Oct 15 2014, 10:35 AM
kmod updated this revision to Diff 14977.Oct 15 2014, 8:21 PM
kmod edited edge metadata.

Address review comments

kmod updated this revision to Diff 14978.Oct 15 2014, 8:24 PM

Not sure how '_' got added

I think you forgot to get rid of "TargetLowering.h" ;-)
Do you have commit access?

kmod added a comment.Oct 16 2014, 1:56 PM

No commit access, if it looks good I'd appreciate if you could commit it :)

ributzka closed this revision.Oct 16 2014, 2:37 PM
ributzka updated this revision to Diff 15050.

Closed by commit rL219967 (authored by @ributzka).